import React from "react";
interface ICustomSearchPro {
    defaultConfig?: any;
    searchFields: any[];
    uniqueId?: string;
    handleSubmit?: (config: any) => void;
}
interface IState {
    seleceted: any;
    renderindex: number;
    visible: boolean;
}
export default class CustomSearch extends React.Component<ICustomSearchPro, IState> {
    nameMap: any;
    fields: any[];
    maxLabelWidth: number;
    current: any;
    search: any;
    selectedItem: any;
    optionsSelect: any;
    optionsMap: any;
    constructor(props: ICustomSearchPro);
    setFields(fields: Array<any>): void;
    setOptionsLabel(): void;
    renderFields(rowName: any): {
        twview: string;
        placeholder: string;
        optionstype: string;
        name: any;
        options: any[];
        style: {
            flex: number;
        };
    };
    renderOperateTool(): React.JSX.Element;
    setNampMap(): void;
    componentDidMount(): void;
    renderOperate(field: any): any;
    renderFormOne(field: any): React.JSX.Element;
    renderOne: (item: any) => React.JSX.Element;
    getValues(): {
        search: {};
        condition: any;
    };
    renderForm(): React.JSX.Element;
    render(): React.JSX.Element;
}
export {};
